/**
 * [OEmarry] (C)2010-2099 OEMARRY.COM Inc.
 * This is NOT a freeware, use is subject to license terms
 * Email: service@phpcoo.com , phpcoo@qq.com
 * $2015-08-28 by OEdev$
*/
function oeGoodsSlide(){
	var $oBigImg = $('.oe_goods_drawimg img:first');	// 展示台的大图
	var $oPrev = $('.oe_goods_premd .prev:first');	// 上一张按钮
	var $oNext = $('.oe_goods_premd .next:first');	// 下一张按钮
	var $oUl = $('.oe_goods_premd .thumbnail ul:first');	// 缩略图ul
	var $aLi = $oUl.find('li');	// 由于此时边框 .border 还没有生产，所以它的length 值不包含.bor
	var $iLiW = $aLi.eq(0).outerWidth();	// 单个li 的宽度移
	$oUl.append('<li class="border"></li>');	// 添加 .border 边框
	var $oBorder = $oUl.find('.border:first');	// 获取到 .border
	var iLeftBor = $oBorder.position().left;	// $oBorder的 left 初始值 ，基数
	var iShow = 4;	// 缩略图显示个数
	var iNowUl = 0;	// 用于计算 $oUl（缩略图）的移动
	var iNowBor = 0;	// 用于计算 $oBorder（边框）的
	
	$('.oe_goods_premd .thumbnail').width($iLiW * iShow);	// 动态设定 显示区域 的宽度
	$oUl.width($aLi.length * $iLiW);	// 动态设定 $oUl 的宽度
	
	$oPrev.click(function(){
		if(!$oUl.is(':animated')){	// 当 $oUl 未处在动画状态时才触发
			if(iNowUl <= $aLi.length - iShow && iNowUl > 0){	// 当位于显示边缘后将不再触发
				iNowUl--;	// $oUl 计数
				fnMoveUl();	// 移动 $oUl
			}
			
			if(iNowBor > 0){
				iNowBor--;
				fnMoveBor();	// 移动 $oBorder ，同步大图片的src
			}
		}
	});
	
	$oNext.click(function(){
		if(!$oUl.is(':animated')){	// 当 $oUl 未处在动画状态时才触发
			if(iNowUl < $aLi.length - iShow){	// 当位于显示边缘后将不再触发
				iNowUl++;	// $oUl 计数
				fnMoveUl();	// 移动 $oUl
			}
			
			if(iNowBor < $aLi.length-1){
				iNowBor++;
				fnMoveBor();	// 移动 $oBorder ，同步大图片的src
			}
		}
	});
	
	$aLi.each(function(index, element) {
		$(this).click(function(){
			$oBorder.animate({"left" : $iLiW * $(this).index() + iLeftBor},250);	// 移动 $oBorder 到当前位置 (一定要加上 $oBorder 的left 初始值 )
			$oBigImg.attr('src',$aLi.eq($(this).index()).find('img').attr('data-img'));	// 将展示台的大图换成当前的图
			iNowBor = $(this).index();	// 同步计数器 iNowBor
		});
	});
	
	// 移动 $oUl 的位置
	function fnMoveUl(){
		$oUl.animate({"left" : $iLiW * -iNowUl},250);	// 移动 $oUl 一个 li 的宽度
	}
	
	// 移动 $oBorder 的位置，且同步大图片的src
	function fnMoveBor(){
		$oBorder.animate({"left" : $iLiW * iNowBor + iLeftBor},250);	// 移动 $oBorder 一个 li 的宽度 (一定要加上 $oBorder 的left 初始值 )
		$oBigImg.attr("src", $aLi.eq(iNowBor).find("img").attr("data-img"));	// 将展示台的大图换成当前的图
	}
}
